(function(exports) {
    var followUpAPI = {
        /**
         * @api {POST} /doctor/patient_label_info/patient
         * @apiVersion 0.0.1
         * @param {string} patient 居民code
         * @desc 获取居民各详细信息
         */
        getPatientInfo(data) {
            return httpRequest.post('doctor/patient_label_info/patient',{data:data})
        },
        //获得随访医生的列表
        sign_doctors(data){
            return httpRequest.get('doctor/patient_group/sign_doctors',{data:data})
        },
        //保存随访
        addFollowupPlan(data){
            return httpRequest.post('doctor/followup/addFollowupPlan',{data:data})
        }, 
        //保存临时随访
        addFollowup(data){
            return httpRequest.post('/doctor/followup/addFollowup',{data:data})
        },  
        //保存访视
        saveFollowup(data){
            return httpRequest.post('/doctor/followup/saveFollowup',{data:data})
        },
	}
    exports.followUpAPI = followUpAPI;
})(window)