(function(exports) {
    var homeAPI = {
    	baseinfo: function(data) {
			return httpRequest.post("doctor/baseinfo", {data: data})
		},
	    //获取省市区  type：省1，市2，区3  
		getDistrict:function(data) {
            return httpRequest.post("common/district", {data: data})
    	},	
	    //获取社区医院  
		getCommunityHospital:function(data) {
            return httpRequest.get("statisticsExport/hospitalList", {data: data})
    	},	
	    //获取专科医院 
		getSpecialistHospital:function(data) {
            return httpRequest.get("hospitals/specialist_hospitals", {data: data})
    	},	
	    //获取团队 
		teamListByArea:function(data) {
            return httpRequest.get("statisticsExport/teamList", {data: data})
    	},	
    }

    exports.homeAPI = homeAPI;
})(window)