;(function (exports) {
  var jbscAPI = {
    //获取所有疾病筛选列表
    surveyTemplates: function (data) {
      return httpRequest.get('third/surveyStatis/survey_templates')
    },
    //统计模型
    screenStatics: function (data) {
      return httpRequest.post('doctor/screen/screenStatics',{ data: data })
    },
    //专科疾病列表
    getSpecialDisease: function (data) {
      return httpRequest.get('doctor/screen/getSpecialDisease')
    },
    //疾病筛查列表
    getResultList: function (data) {
      return httpRequest.get('doctor/screen/getResultList', { data: data })
    },
	//专科获取筛查列表
	getList: function (data) {
	  return httpRequest.get('doctor/specialist/screen/getList', { data: data })
	},
	// 获取ASCVD居民
	getPatientSignByTwoDoctor: function (data) {
	  return httpRequest.get('doctor/patient/getPatientSignByDoctor', { data: data })
	},
	// ASCVD   社区随访
	changeSurveyState: function (data) {
	  return httpRequest.post('doctor/screen/changeSurveyState', { data: data })
	},
    //		获取筛查问卷列表
    getScreenList: function (data) {
      return httpRequest.post('doctor/screen/getScreenList', { data: data })
    },
    //获取医生团队下的居民
    patientsByTeam: function (data) {
      return httpRequest.post('doctor/patient_label_info/patients_by_team', { data: data })
    },
    //获取医生团队信息
    getDoctorTeam: function (uid) {
      return httpRequest.get('doctor/admin-teams/team/' + uid + '/teams')
    },
    //获取建议模板消息
    getTemplateAdvice: function (data) {
      return httpRequest.get('doctor/screen/getTemplateAdvice', { data: data })
    },
    //跟踪建议保存
    updateAfterFollwoing: function (data) {
      return httpRequest.post('doctor/screen/updateAfterFollwoing', { data: data })
    },
    //		获取筛查结果
    getScreenResultDetail: function (data) {
      return httpRequest.get('doctor/screen/getScreenResultDetail', { data: data })
    },
    //		获取居民健康
    getHealth: function (data) {
      return httpRequest.get('doctor/health_index/last', { data: data })
    },
    //		获取医生基础信息
    doctorBaseinfo: function (data) {
      return httpRequest.get('doctor/baseinfo', { data: data })
    },
    //		获取模板下所有问卷问题
    getAllQuestions: function (data) {
      return httpRequest.get('doctor/questionnaire/getAllQuestions', { data: data })
    },
    //保存筛查消息
    saveAnswer: function (data) {
      return httpRequest.post('doctor/questionnaire/saveAnswer', { data: data })
    },
    searchDenizen: function (data) {
      return httpRequest.post('doctor/patient_label_info/patient_search_all_exitdoc', { data: data })
    },
    //		获取文章列表
    getCategoryList: function (data) {
      return httpRequest.articleGet('third/jkEdu/Article/getCategoryList', { data: data })
    },
    //	   	获取文章
    getArticle: function (data) {
      return httpRequest.articleGet('third/jkEdu/Article/getArticalById', { data: data })
    },
    queryArticlePcList: function (data) {
      return httpRequest.articleGet('doctor/jkEdu/article/PC/queryArticlePcList', { data: data })
    },
    pushArticleList: function (data) {
      return httpRequest.articleGet('doctor/jkEdu/article/PC/pushArticleList', { data: data })
    },
    doctorSendArticleToPatients: function (data) {
      return httpRequest.articlePost('doctor/jkEdu/article/doctorSendArticleToPatients', { data: data })
    },
    updateAfterEducate: function (data) {
      return httpRequest.post('doctor/screen/updateAfterEducate', { data: data })
    },
    getDoctorInfoByJwDoctor: function (data) {
      return httpRequest.get('/doctor/getDoctorInfoByJwDoctor', { data: data })
    },
    getHospitalInfoByMappingId: function (data) {
      return httpRequest.get('/hospitals/getHospitalInfoByMappingId', { data: data })
    },
	getHospitalSpecialistList: function (data) {
	  return httpRequest.get('/doctor/specialist/screen/getHospitalSpecialistList', { data: data })
	},
    getOrgList: function (data) {
      return httpRequest.post('/doctor/guahao/GetOrgListToMysql', { data: data })
    },
	GetOrgListToMysqlByDisease: function (data) {
	  return httpRequest.post('/doctor/guahao/GetOrgListToMysqlByDisease', { data: data })
	},
	
    GetOrgDepListToMysql: function (data) {
      return httpRequest.post('/doctor/guahao/GetOrgDepListToMysql', { data: data })
    },
    regDeptSpeDoctorList: function (data) {
      return httpRequest.post('/doctor/guahao/GetDoctorList', { data: data })
    },
    findByPatient: function (data) {
      return httpRequest.post('/doctor/patient_label_info/patient', { data: data })
    },
    getDoctorArrange: function (data) {
      return httpRequest.post('/doctor/guahao/smjk/RegDeptSpeDoctorSectionList', { data: data })
    },
    getOrgDeptList: function (data) {
      return httpRequest.post('/doctor/guahao/GetOrgDepListToMysql', { data: data })
    }
  }

  exports.jbscAPI = jbscAPI
})(window)
