Vue.component('appoint-hospital', {
  template:
    '<div>\
			<div class="c-f16 c-border-b pb5 ui-grid middle search-wrapper">\
				<div v-if="show==0">冠心病专病医院(已入驻)</div>\
				<div v-if="show==1">医&emsp;&emsp;院&emsp;&emsp;</div>\
				<div class="ml30" id="search"><input class="h34" v-model="HosKeyword" @keyup.enter="searchItem" placeholder="请输入医院名称查询"/><span @click="searchItem"></span></div>\
			</div>\
			<ul class="clearfix">\
				<li v-for="(list, index) in hospital">\
					<a href="javascript:void(0)" :title="list.address || list.hospital_name" @click="selHospital(list)">{{list.address || list.hospital_name}}<span class="col-999" v-show="list.level">（</span><span class="col-red"  v-show="list.level">{{list.level}}</span><span class="col-999"  v-show="list.level">）</span></a>\
				</li>\
        <li>\
					 <div  v-if="hospital.length<2" style="border: 1px solid #12b7f5;color:#12b7f5 ;width:200px;text-align: center;cursor: pointer" @click="moreHospital">更多医院</div>\
				</li>\
			</ul>\
			</div>',
  props: ['hospital','show'],
  data: function () {
    return {
      HosKeyword: '',
      docHospitalName: ''
    }
  },
  mounted: function () {
    this.docHospitalName = JSON.parse(sessionStorage.getItem('LoginUser')).hospitalName
  },
  watch: {
    HosKeyword: function (i) {}
  },
  methods: {
    selHospital: function (list) {
      var str = JSON.stringify(list)
      var content =
        '../../jbsc/html/appointment/appoint-doctor-detail.html?hospital=' +
        encodeURIComponent(str) +
        '&patient=' +
        patient +
        '&callCode=' +
        callCode
      if (backToSynergy) {
        content += '&backToSynergy=1'
      }
      top.layer.open({
        type: 2,
        title: false,
        area: ['800px', '90%'],
        content: content
      })
      closeLayer()
    },
    moreHospital() {
      this.$parent.initTypeof(1, '')
    },
    searchItem: function () {
      this.$parent.initTypeof(1, this.HosKeyword)
    }
  }
})
