Vue.component('nav-menu-item', {
    template: '<li>\
                   <a href="#">\
                        <img :src="data.icon">\
                        <span class="nav-label c-f16 c-bold ml15">{{data.title}}</span>\
                        <span class="fa arrow c-f20"></span>\
                    </a>\
                    <ul class="nav nav-second-level collapse">\
                        <li v-for="item2 of data.items" >\
                            <a v-if="!item2.items" class="J_menuItem" :href="item2.url" data-index="0">{{item2.title}}</a>\
                            <a v-if="item2.items" href="javascript:void(0)">{{item2.title}} <span class="fa arrow"></span></a>\
                            <ul v-if="item2.items" class="nav nav-third-level">\
                                <li v-for="item3 of item2.items">\
                                    <a class="J_menuItem" :href="item3.url">{{item3.title}}</a>\
                                </li>\
                            </ul>\
                        </li>\
                    </ul>\
                </li>',
    props: ['data'],
    data: function() {
        return {
            
        }
    },
    methods: {
        
    }
})