Vue.component('nav-menu', {
    template: '<nav class="navbar-default navbar-static-side" role="navigation">\
                <div class="sidebar-collapse">\
                    <ul class="nav" id="side-menu">\
                        <li class="nav-header">\
                            <div class="profile-element">\
                                <img src="../../img/shouye_bai_icon.png">\
                                <span class="c-fff c-f16 c-bold ml15">首页</span>\
                            </div>\
                            <div class="logo-element">\
                                <img src="../../img/shouye_bai_icon.png">\
                            </div>\
                        </li>\
                        <nav-menu-item  v-for="item of items" :data="item"></nav-menu-item>\
                    </ul>\
                </div>\
            </nav>',
    props: [],
    data: function() {
        return {
            items: [
                {
                    icon: "../../img/gogngongweisheng_bai_icon.png",
                    title: "公共卫生服务",
                    items: [
                        {
                            title: "居民管理",
                            url: "../patient/patient-list.html"
                        },
                        {
                            title: "慢病随访",
                            url: "../suifang/sf-list.html"
                        },
                        {
                            title: "老年人服务",
                            url: ""
                        },
                        {
                            title: "严重精神病患者服务",
                            url: ""
                        },
                        {
                            title: "肺结核患者管理",
                            url: ""
                        },
                        {
                            title: "健康体检",
                            url: ""
                        }
                    ]
                }
            ]
        }
    },
    methods: {
        
    }
})


